Subject: Re: [lojban] LALR1 question

From: Richard Curnow <[email-masked]>
Date: Fri, 31 Aug 2001 22:35:23 +0100

Probably something like that. Or maybe "the bits that aren't LALR1 as
they stand can be turned into LALR1 by 'local' inspection of the source
text, in effect by spotting certain groupings of tokens and turning
them into 'meta-tokens' which distinguish the structure of the group
based on something late on in it."

On Fri, Aug 31, 2001 at 01:45:00AM +0100, And Rosta wrote:
> How does the role of the preparser square with Lojban's nonambiguity
> and LALR1ness? Is the claim: "Lojban grammar is unambiguous and
> LALR1-parsable, because all bits that aren't unambiguous and
> LALR1-parsable aren't counted as grammar"?
> 

-- 
R.P.Curnow,Weston-super-Mare,UK | C++: n., An octopus made by
http://www.rrbcurnow.freeuk.com/ | nailing extra legs on a cat.